package io.useless.util

import com.typesafe.config.ConfigFactory

trait Configuration
  extends DefaultConfigurationComponent

trait ConfigurationComponent {

  def configuration: play.api.Configuration

}

trait DefaultConfigurationComponent extends ConfigurationComponent {

  lazy val configuration = new play.api.Configuration(ConfigFactory.load())

}
